package cn.soul2.demo.service;

import cn.soul2.demo.dto.DemoDTO;
import cn.soul2.demo.dto.DemoSaveOrUpdateDTO;
import cn.soul2.demo.vo.DemoVO;
import cn.soul2.demo.vo.base.Back;
import cn.soul2.demo.vo.base.VPage;

import java.util.Collection;

/**
 * @author Soul2
 * @date 2022-08-22
 */

public interface IDemoService {

    Back<VPage<DemoVO>> page(DemoDTO dto);

    Back<Boolean> save(DemoSaveOrUpdateDTO entity);

    Back<Boolean> remove(Collection<String> ids);

}
